<!DOCTYPE html>
<html>
<head>
<meta charset=utf-8>
<script src="code/scriptolbrowser.js"></script>
<style>
svg {
	background:#aaa;
	border-top:1px solid #ccc;
	border-left:1px solid #ccc;
	border-bottom:1px solid#999;
	border-right:1px solid#999;
	box-shadow: 6px 6px 8px #ccc;
}	
</style>
</head>

<body>
<h1>SVG Moon Landing</h1>

<div style="display:none">
<object id="olander" width="150" height="100" data="code/lunar-lander.svg"></object>
<object id="oearth" width="100" height="100" data="code/globe.svg"></object>
</div>

<div style="display:none">
<iframe id="ilander" width="100" height="100" src="code/lunar-lander.svg"></iframe>
<iframe id="iearth" width="100" height="100" src="code/globe.svg"></iframe>
</div>

<svg id="moon" width="720" height="600" viewBox="0 0 720 600">
<rect id="ground" x="0" y="550" width="720" height="50" style="fill:rgb(245,245,245);" />
<rect id="airport" x="300" y="542" width="160" height="8" style="fill:rgb(0,128,0);" />	
<image width="518" height="518" transform="translate(500, 60) scale(.2)" xlink:href="code/globe.svg" />
</svg>

<script>
function getSVG(oID, gID)
{
  var ifr = document.getElementById(oID);
  var graphics = ifr.contentWindow || ifr.contentDocument;
  return graphics.document.getElementById(gID);
}	

var lander;
var x;
var y;
var angle;
	
function landscape()
{	
	var moon = document.getElementById("moon");
	lander = getSVG("ilander", "layer1");
	lander.setAttribute("transform", "translate(100,200) scale(0.1)  rotate(45 50 50)");
	moon.appendChild(lander);
	
	x = 100;
	y = 200;
	angle = 45;	
}

window.onload=landscape;

function dispAngle() {
	document.getElementById("angle").value = '' + angle;
}

function dispX() {
	document.getElementById("landerx").value = '' + x;
}

function dispY() {
	document.getElementById("landery").value = '' + y;
}

function moveLander() {
    if(x >= 300 && x < 350 && y == 445 && angle == 0) return;
	lander.setAttribute("transform", "translate(" + x + "," + y + ") scale(0.1)  rotate(" + angle + " 50 50)");
}

function getValues() {
	x = parseInt(document.getElementById("landerx").value);
	y = parseInt(document.getElementById("landery").value);
	angle = parseInt(document.getElementById("angle").value);
	if(x < 0 || x > 500) x = 100;
	if(y < 0 || y > 400) y = 100;
	if(angle < 0 || angle > 180) angle = 0;	
	moveLander();
}


</script>

<scriptol>
	
extern int angle
extern int x
extern int y	
	
void land()
	to angle = 0 for 30, 50
		if angle > 0 ? angle - 1
		dispAngle();
		moveLander()
	/to
	
	to ((x >= 300) and (x <= 350)) for 30, 20
		if x < 300 ? x + 1
		if x > 350 ? x - 1
		dispX();
		moveLander()
	/to
	
	to y = 445 for 30,20	
		if y < 445 ? y + 1
		dispY();
		moveLander()	 
	/to

return	

</scriptol>


<form>
<p>
	Angle (0-180) <input id="angle" type="text" size="4" value="45" > 
	X (0-500) <input id="landerx" type="text"  size="4" value="100" > 
	Y (0-400) <input id="landery" type="text"  size="4" value="200" >
</p>
<p>
    <input type="button" value="Submit" onclick="getValues()"> 
    <input type="button" value="Land" onclick="land()">
</p>
</form>	



<hr>
<p><small>Copyright 2015 Scriptol.com -  MIT license.</small></p>
</body>
</html>
